package cn.fastfun.service.entity;


import com.bridge.entity.DateEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.List;


@Entity
@Table(name = "sys_user")
@Setter
@Getter
public class SysUser extends DateEntity {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "账号", name = "userName", required = true)
    @Column(name = "user_name")
    private String userName;


    @ApiModelProperty(value = "账号密码", name = "userPass", required = true)
    @Column(name = "user_pass")
    private String userPass;


    @ApiModelProperty(value = "状态", name = "status", required = true)
    @Column(name = "status")
    private Integer status;


    @ApiModelProperty(value = "头像", name = "image", required = true)
    @Column(name = "image")
    private String image;


    @ApiModelProperty(value = "昵称", name = "nickName", required = true)
    @Column(name = "nick_name")
    private String nickName;


    @ApiModelProperty(value = "手机", name = "mobile", required = true)
    @Column(name = "mobile")
    private String mobile;

    @ApiModelProperty(value = "角色", name = "roleIds", required = true)
    @Transient
    List<String> roleIds;


}
